.coursesSearch_page .banner {
  width: 100%;
  position: relative;
}
.coursesSearch_page .banner .bg {
  height: 5.09rem;
  position: relative;
  overflow: hidden;
}
.coursesSearch_page .banner .bg:after {
  display: block;
  content: '';
  width: 100%;
  height: 1.67rem;
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  background: transparent linear-gradient(180deg, #00000000 0%, #000000 100%) 0% 0% no-repeat padding-box;
}
.coursesSearch_page .banner .bg img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}
.coursesSearch_page .banner .text-box {
  position: absolute;
  bottom: 0.75rem;
  left: 1.75rem;
}
.coursesSearch_page .banner .text-box h1 {
  font-size: 0.4rem;
  line-height: calc(53/40);
  color: #ffffff;
  font-family: 'SourceHanSansHKBold';
  font-weight: bold;
}
.coursesSearch_page .module_1 {
  padding: 0.72rem 0 0.82rem 0;
}
.coursesSearch_page .module_1 .mod_container {
  width: 15.86rem;
  margin: 0 auto;
}
.coursesSearch_page .module_1 .mod_container .mod_tit {
  padding-bottom: 0.3rem;
  border-bottom: 0.02rem solid #FEBD14;
}
.coursesSearch_page .module_1 .mod_container .mod_tit h2 {
  font-size: 0.36rem;
  line-height: calc(52/36);
  color: #000;
  font-family: 'SourceHanSansHKBold';
  font-weight: bold;
  display: flex;
  gap: 0.11rem;
}
.coursesSearch_page .module_1 .mod_container .mod_tit h2 span {
  color: #FEB914;
}
.coursesSearch_page .module_1 .mod_container .mod_cont {
  padding-top: 0.59rem;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .search_box {
  width: 15.86rem;
  height: 4.55rem;
  background: #FFFFFF 0% 0% no-repeat padding-box;
  box-shadow: 0rem 0rem 0.2rem #58585829;
  border-radius: 0.28rem;
  padding: 0.42rem 0.43rem;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .search_box form.space-y-5 > :not([hidden]) ~ :not([hidden]) {
  margin-top: 0.26rem;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .search_group {
  margin-bottom: 0.54rem;
  flex-wrap: nowrap;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .search_group .search_input {
  width: 13.72rem;
  height: 0.83rem;
  padding: 0.28rem 0 0.25rem 0.28rem;
  border: none;
  background: #F1F1F1;
  border-radius: 0.1rem;
  font-size: 0.18rem;
  font-family: SourceHanSansHKRegular;
  color: #0E0E0E;
  line-height: calc(26/18);
}
.coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .search_group .search_btn {
  width: 1.28rem;
  height: 0.83rem;
  background: #FEBD14;
  border-radius: 0rem 0.1rem 0.1rem 0rem;
  font-size: 0.2rem;
  font-family: SourceHanSansHKMedium;
  color: #0E0E0E;
  line-height: calc(27/20);
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.07rem;
  padding: 0 0.16rem;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .search_group .search_btn .icon_box {
  width: 0.21rem;
  height: 0.21rem;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .search_group .search_btn .icon_box img {
  width: 100%;
  height: 100%;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .select_list {
  gap: 0.3rem;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .select_list > div {
  width: 3.52rem;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .form-label {
  font-family: 'SourceHanSansHKBold';
  font-weight: bold;
  line-height: calc(26/18);
  color: #0F0F0F;
  font-size: 0.18rem;
  margin-bottom: 0.13rem;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .search_box form input,
.coursesSearch_page .module_1 .mod_container .mod_cont .search_box form select {
  padding: 0.18rem 0.17rem;
  font-family: 'SourceHanSansHKRegular';
  line-height: calc(24/16);
  color: #0E0E0E;
  font-size: 0.16rem;
  border: 0.01rem solid #707070;
  border-radius: 0.1rem;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .down {
  width: 0.14rem;
  height: 0.08rem;
  background: url(/html-before/img/icon_33.png) no-repeat;
  background-size: 100% 100%;
  position: absolute;
  right: 0.2rem;
  bottom: 0.27rem;
  z-index: 0;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .form_date .img_box {
  width: 0.27rem;
  height: 0.27rem;
  bottom: 0.18rem;
  right: 0.28rem;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .form_date .img_box img {
  width: 100%;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .form-check-input:focus,
.coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .form-control:focus,
.coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .input-focus:focus {
  --tw-ring-color: unset;
  --tw-ring-shadow: unset;
  border-color: unset;
  box-shadow: unset;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .reset_btn {
  width: 50%;
  padding: 0.18rem 0.17rem;
  font-family: '' SourceHanSansHKBold '';
  line-height: calc(24/16);
  color: #0E0E0E;
  font-size: 0.18rem;
  border: 0.01rem solid #FEBD14;
  background: #FEBD14;
  border-radius: 0.1rem;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap {
  width: 100%;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap .table_body {
  width: 100%;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap li {
  width: 100%;
  border-radius: 0.1rem;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap li.table_head {
  align-items: stretch;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap li.table_head div {
  font-size: 0.18rem;
  line-height: calc(26/18);
  color: #000;
  font-family: 'SourceHanSansHKMedium';
  background: #febd14;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap li div {
  width: 10%;
  font-size: 0.16rem;
  line-height: calc(21/16);
  color: #2B3530;
  font-family: 'SourceHanSansHKRegular';
  padding: 0.1rem 0.11rem 0.1rem 0.11rem;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap li div a {
  text-decoration: underline;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap li div:nth-of-type(1) {
  width: 28%;
  justify-content: flex-start;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap li div:nth-of-type(1) a {
  text-decoration: unset;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap li div:nth-of-type(1) span {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap li div:nth-of-type(3) {
  width: 12%;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap li div.operate {
  display: flex;
  gap: 0.05rem;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap li div.operate span {
  cursor: pointer;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap li div.operate .copy-btn.copied {
  pointer-events: none;
  /* 禁止連續點擊，但仍保留視覺回饋 */
  opacity: 0.9;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap li:nth-of-type(odd) {
  background: #fffae2;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group {
  margin-top: 0.48rem;
  display: flex;
  justify-content: center;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group .pagination {
  display: flex;
  align-items: center;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group .page-item .page-link {
  font-family: 'SourceHanSansHKMedium';
  font-size: 0.22rem;
  line-height: calc(41/22);
  border-radius: 0.08rem;
  border: none;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  background: unset;
  color: #000;
  padding: 0 0.2rem;
  transition: all 0.2s ease-in;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group .page-item .page-link .icon_box {
  width: 0.07rem;
  height: 0.14rem;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group .page-item .page-link .icon_box img {
  width: 100%;
  height: 100%;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group .page-item:first-child .page-link,
.coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group .page-item:last-child .page-link {
  background: unset;
  color: #000;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group .page-item.active .page-link {
  background: #FEBA14;
  padding: 0 0.27rem 0 0.31rem;
  transition: all 0.2s ease-in;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group .page-item.disabled:first-child .page-link,
.coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group .page-item.disabled:last-child .page-link {
  background: none;
  color: #989898;
}
.coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group .page-item .page-link:focus {
  box-shadow: unset;
}
@media screen and (max-width: 992px) {
  .coursesSearch_page .banner {
    width: 100%;
    padding-top: 0.56rem;
  }
  .coursesSearch_page .banner .bg {
    height: unset;
    position: relative;
    overflow: hidden;
  }
  .coursesSearch_page .banner .bg:after {
    display: block;
    content: '';
    width: 100%;
    height: 0.57rem;
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    background: transparent linear-gradient(180deg, #00000000 0%, #000000 100%) 0% 0% no-repeat padding-box;
  }
  .coursesSearch_page .banner .bg img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
  }
  .coursesSearch_page .banner .text-box {
    position: absolute;
    bottom: 0.35rem;
    left: 0.16rem;
  }
  .coursesSearch_page .banner .text-box h1 {
    font-size: 0.22rem;
  }
  .coursesSearch_page .module_1 {
    padding: 0.4rem 0.16rem 0.5rem;
    background-size: 100% 100%;
  }
  .coursesSearch_page .module_1 .mod_container {
    width: 100%;
    margin: 0 auto;
  }
  .coursesSearch_page .module_1 .mod_container .mod_tit {
    padding-bottom: 0.1rem;
  }
  .coursesSearch_page .module_1 .mod_container .mod_tit h2 {
    font-size: 0.2rem;
    gap: 0.06rem;
    margin-bottom: 0.12rem;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont {
    padding-top: 0.2rem;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box {
    width: 100%;
    height: unset;
    border-radius: 0.12rem;
    padding: 0.16rem 0.1rem;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box form.space-y-5 > :not([hidden]) ~ :not([hidden]) {
    margin-top: 0.12rem;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .search_group {
    margin-bottom: 0.2rem;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .search_group.input-group > .form-control {
    flex: unset;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .search_group .search_input {
    width: 78%;
    height: 0.4rem;
    padding: 0.04rem 0 0.04rem 0.08rem;
    border: none;
    border-radius: 0.06rem 0 0 0.06rem;
    font-size: 0.14rem;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .search_group .search_btn {
    width: 22%;
    height: 0.4rem;
    background: #FEBD14;
    border-radius: 0rem 0.06rem 0.06rem 0rem;
    font-size: 0.12rem;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.03rem;
    padding: 0;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .search_group .search_btn .icon_box {
    width: 0.12rem;
    height: 0.12rem;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .search_group .search_btn .icon_box img {
    width: 100%;
    height: 100%;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .select_list {
    flex-direction: column;
    gap: 0.16rem;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .select_list .form-group {
    width: 100%;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .form_date .img_box {
    width: 0.18rem;
    height: 0.18rem;
    bottom: 0.09rem;
    right: 0.12rem;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .form_date .img_box img {
    width: 100%;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .form-label {
    font-size: 0.14rem;
    margin-bottom: 0.13rem;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box form input,
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box form select {
    padding: 0.09rem 0.08rem;
    font-size: 0.14rem;
    border-radius: 0.06rem;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .down {
    width: 0.1rem;
    height: 0.06rem;
    background: url(/html-before/img/icon_33.png) no-repeat;
    background-size: 100% 100%;
    position: absolute;
    right: 0.16rem;
    bottom: 0.16rem;
    z-index: 0;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .gap-4 {
    gap: 0.16rem !important;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .form-check-input:focus,
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .form-control:focus,
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .input-focus:focus {
    --tw-ring-color: unset;
    --tw-ring-shadow: unset;
    border-color: unset;
    box-shadow: unset;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .search_box form .reset_btn {
    width: 100%;
    padding: 0.09rem 0.08rem;
    font-size: 0.14rem;
    border-radius: 0.06rem;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap {
    width: 100%;
    overflow-x: auto;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap .table_body {
    width: 250%;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap li {
    width: 100%;
    border-radius: 0.06rem;
    overflow: visible;
    display: flex;
    align-items: center;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap li > div:nth-of-type(1) {
    width: 30%;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap li > div:nth-of-type(1) span {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap li.table_head div {
    font-size: 0.14rem;
    background: #febd14;
    align-self: normal;
    justify-content: center;
    align-items: center;
    text-align: center;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap li div {
    width: 20%;
    font-size: 0.14rem;
    height: unset;
    padding: 0.04rem 0.08rem 0.04rem 0.08rem;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap li div a {
    text-decoration: underline;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .table_wrap li:nth-of-type(odd) {
    background: #fffae2;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group {
    margin-top: 0.3rem;
    display: flex;
    justify-content: center;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group .pagination {
    display: flex;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group .page-item .page-link {
    font-size: 0.14rem;
    border-radius: 0.08rem;
    color: #000;
    padding: 0 0.08rem;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group .page-item .page-link .icon_box {
    width: 0.07rem;
    height: 0.1rem;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group .page-item .page-link .icon_box img {
    width: 100%;
    height: 100%;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group .page-item:first-child .page-link,
  .coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group .page-item:last-child .page-link {
    background: unset;
    color: #000;
    padding: 0 0.15rem;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group .page-item.active .page-link {
    background: #FEBA14;
    padding: 0 0.1rem;
    transition: all 0.2s ease-in;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group .page-item.disabled:first-child .page-link,
  .coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group .page-item.disabled:last-child .page-link {
    background: none;
    color: #989898;
  }
  .coursesSearch_page .module_1 .mod_container .mod_cont .pagination_group .page-item .page-link:focus {
    box-shadow: unset;
  }
}
